Summary: Administrative utilities for the XFS filesystem
Name: xfsdump
Version: 3.1.3
Release: 1.0.2%{?dist}
# Licensing based on generic "GNU GENERAL PUBLIC LICENSE"
# in source, with no mention of version.
License: GPL+
Group: System Environment/Base
URL: http://oss.sgi.com/projects/xfs/
Source0: ftp://oss.sgi.com/projects/xfs/cmd_tars/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libtool, gettext, gawk
BuildRequires: xfsprogs-devel >= 3.1.1-9, libuuid-devel, libattr-devel ncurses-devel
Requires: xfsprogs >= 2.6.30, attr >= 2.0.0

ExclusiveArch: x86_64

Patch0: xfsdump-restore-don-t-trash-file-capabilities.patch
Patch1: xfsdump-handle-large-wholly-sparse-files.patch

%description
The xfsdump package contains xfsdump, xfsrestore and a number of
other utilities for administering XFS filesystems.

xfsdump examines files in a filesystem, determines which need to be
backed up, and copies those files to a specified disk, tape or other
storage medium.	 It uses XFS-specific directives for optimizing the
dump of an XFS filesystem, and also knows how to backup XFS extended
attributes.  Backups created with xfsdump are "endian safe" and can
thus be transfered between Linux machines of different architectures
and also between IRIX machines.

xfsrestore performs the inverse function of xfsdump; it can restore a
full backup of a filesystem.  Subsequent incremental backups can then
be layered on top of the full backup.  Single files and directory
subtrees may be restored from full or partial backups.

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DIST_ROOT=$RPM_BUILD_ROOT install
# remove non-versioned docs location
rm -rf $RPM_BUILD_ROOT/%{_datadir}/doc/xfsdump/

(cd $RPM_BUILD_ROOT/%{_sbindir}; rm xfsdump xfsrestore)
(cd $RPM_BUILD_ROOT/%{_sbindir}; ln -s ../../sbin/xfsdump .)
(cd $RPM_BUILD_ROOT/%{_sbindir}; ln -s ../../sbin/xfsrestore .)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README doc/COPYING doc/CHANGES doc/README.xfsdump doc/xfsdump_ts.txt
%{_mandir}/man8/*
%{_sbindir}/*
/sbin/*
%{_datadir}/locale/*

%changelog
* Wed Apr 23 2014 Guangyu Sun <guangyu.sun@oracle.com> 3.1.3-1.0.2
- restore: handle large, wholly-sparse files [orabug 18432264]

* Thu Mar 06 2014 Guangyu Sun <guangyu.sun@oracle.com> 3.1.3-1.0.1
- restore: don't trash file capabilities (Dave Chinner) [orabug 16926217]

* Thu Aug 29 2013 Jingdong Lu <jingdong.lu@oracle.com> 3.1.3-1
- New upstream release 3.1.3
